package org.apache.bcel.verifier;

import java.awt.Dimension;
import org.apache.bcel.generic.Type;
import javax.swing.ListModel;
import java.awt.Toolkit;
import javax.swing.UIManager;

public class GraphicalVerifier
{
    private static final boolean packFrame = false;
    
    public static void main(final String[] args) {
        try {
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        }
        catch (final Exception e) {
            e.printStackTrace();
        }
        new GraphicalVerifier();
    }
    
    public GraphicalVerifier() {
        final VerifierAppFrame frame = new VerifierAppFrame();
        frame.validate();
        final Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        final Dimension frameSize = frame.getSize();
        if (frameSize.height > screenSize.height) {
            frameSize.height = screenSize.height;
        }
        if (frameSize.width > screenSize.width) {
            frameSize.width = screenSize.width;
        }
        frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
        frame.setVisible(true);
        frame.getClassNamesJList().setModel(new VerifierFactoryListModel());
        VerifierFactory.getVerifier(Type.OBJECT.getClassName());
        frame.getClassNamesJList().setSelectedIndex(0);
    }
}
